package config

import "os"

func GetWho() string {
	return getEnvValue("WHO")
}

func GetDollarServiceURL() string {
	return getEnvValue("DOLLAR_SERVICE_URL")
}

func GetAPAPURL() string {
	return getEnvValue("APA")
}

func GetBCDURL() string {
	return getEnvValue("BCD")
}

func GetBDRURL() string {
	return getEnvValue("BDR")
}

func GetBHDURL() string {
	return getEnvValue("BHD")
}
func GetBNCURL() string {
	return getEnvValue("BNC")
}

func GetBPDURL() string {
	return getEnvValue("BPD")
}

func GetINFURL() string {
	return getEnvValue("GENERAL")
}

// GetSCTAURL
// Scotia bank URL
func GetSCTAURL() string {
	return getEnvValue("SCOTIA")
}

func GetVMCURL() string {
	return getEnvValue("VIMENCA")
}

func getEnvValue(key string) string {
	if os.Getenv(key) == "" {
		panic("key not found " + key)
	}
	return os.Getenv(key)
}
